I am a new user to the program and am finding it a bit complicated. Why, when I attempt to send email, I get the following message "553 Sorry, that domain isn't in my list of allowed rcpthosts" and it doesn't send the email. How, also, do you upgrade/update to new versions? Do you have to download the new version and install it? thanks for the help.